package com.aitrainer.api.controller

import com.aitrainer.api.model.ExerciseAbility
import com.aitrainer.api.model.ExerciseDevice
import com.aitrainer.api.repository.ExerciseAbilityRepository
import com.aitrainer.api.repository.ExerciseDeviceRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class ExerciseAbilityController(private val exerciseAbilityRepository: ExerciseAbilityRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/exercise_ability")
    fun getAbilities(): ResponseEntity<List<ExerciseAbility>> {
        val list = exerciseAbilityRepository.findAll()

        logger.info(" -- Get All ExerciseAbility $list")
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}