package com.aitrainer.api.test

import com.aitrainer.api.service.Firebase
import org.junit.jupiter.api.BeforeAll
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals
import kotlin.test.assertTrue


@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class FirebaseTest {
    private lateinit var firebase: Firebase

    @BeforeAll
    fun tearUp() {
        this.firebase = Firebase()
    }

    @Test
    fun testAuth() {
        val email = "user@exemple.com"
        val password = "verystrictpassword1"
        val signupResponse = firebase.signUp(email, password)

        assertEquals(firebase.statusCode, 200)
        assertTrue(signupResponse != null)
        assertTrue(signupResponse.idToken.isNotEmpty())

        firebase.deleteUser(signupResponse.idToken)
        assertEquals(firebase.statusCode, 200)
    }
}